Bullet Collision Detection & Physics Library: bParse::bDNA Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
bParse::bDNA Class Reference

`#include <bDNA.h>`

Collaboration diagram for bParse::bDNA:
[legend]

## Public Member Functions
| bDNA ()
| ~bDNA ()
void | init (char *data, int len, bool swap=false)
int | getArraySize (char *str)
int | getArraySizeNew (short name)
int | getElementSize (short type, short name)
int | getNumNames () const
char * | getName (int ind)
char * | getType (int ind)
short * | getStruct (int ind)
short | getLength (int ind)
int | getReverseType (short type)
int | getReverseType (const char *type)
int | getNumStructs ()
bool | lessThan (bDNA *other)
void | initCmpFlags (bDNA *memDNA)
bool | flagNotEqual (int dna_nr)
bool | flagEqual (int dna_nr)
bool | flagNone (int dna_nr)
int | getPointerSize ()
void | dumpTypeDefinitions ()

## Private Types
enum | FileDNAFlags { FDF_NONE = 0 , FDF_STRUCT_NEQU , FDF_STRUCT_EQU }

## Private Member Functions
void | initRecurseCmpFlags (int i)

## Private Attributes
btAlignedObjectArray< int > | mCMPFlags
btAlignedObjectArray< bNameInfo > | m_Names
btAlignedObjectArray< char * > | mTypes
btAlignedObjectArray< short * > | mStructs
btAlignedObjectArray< short > | mTlens
btHashMap< btHashInt, int > | mStructReverse
btHashMap< btHashString, int > | mTypeLookup
int | mPtrLen

## Detailed Description

Definition at line 31 of file bDNA.h.

## Member Enumeration Documentation

## ◆ FileDNAFlags

enum bParse::bDNA::FileDNAFlags
| private

Enumerator
FDF_NONE |
FDF_STRUCT_NEQU |
FDF_STRUCT_EQU |

Definition at line 79 of file bDNA.h.

## Constructor & Destructor Documentation

## ◆ bDNA()

bDNA::bDNA | ( |  | ) |

Definition at line 29 of file bDNA.cpp.

## ◆ ~bDNA()

bDNA::~bDNA | ( |  | ) |

Definition at line 36 of file bDNA.cpp.

## Member Function Documentation

## ◆ dumpTypeDefinitions()

void bDNA::dumpTypeDefinitions | ( |  | ) |

Definition at line 524 of file bDNA.cpp.

## ◆ flagEqual()

bool bDNA::flagEqual | ( | int | dna_nr | ) |

Definition at line 110 of file bDNA.cpp.

## ◆ flagNone()

bool bDNA::flagNone | ( | int | dna_nr | ) |

Definition at line 118 of file bDNA.cpp.

## ◆ flagNotEqual()

bool bDNA::flagNotEqual | ( | int | dna_nr | ) |

Definition at line 103 of file bDNA.cpp.

## ◆ getArraySize()

int bDNA::getArraySize | ( | char * | str | ) |

Definition at line 503 of file bDNA.cpp.

## ◆ getArraySizeNew()

int bParse::bDNA::getArraySizeNew | ( | short | name | ) |
| inline

Definition at line 40 of file bDNA.h.

## ◆ getElementSize()

int bParse::bDNA::getElementSize | ( | short | type,
|  | short | name
| ) |  |
| inline

Definition at line 45 of file bDNA.h.

## ◆ getLength()

short bDNA::getLength | ( | int | ind | ) |

Definition at line 69 of file bDNA.cpp.

## ◆ getName()

char * bDNA::getName | ( | int | ind | ) |

Definition at line 48 of file bDNA.cpp.

## ◆ getNumNames()

int bParse::bDNA::getNumNames | ( |  | ) | const
| inline

Definition at line 52 of file bDNA.h.

## ◆ getNumStructs()

int bDNA::getNumStructs | ( |  | ) |

Definition at line 97 of file bDNA.cpp.

## ◆ getPointerSize()

int bDNA::getPointerSize | ( |  | ) |

Definition at line 125 of file bDNA.cpp.

## ◆ getReverseType() [1/2]

int bDNA::getReverseType | ( | const char * | type | ) |

Definition at line 86 of file bDNA.cpp.

## ◆ getReverseType() [2/2]

int bDNA::getReverseType | ( | short | type | ) |

Definition at line 76 of file bDNA.cpp.

## ◆ getStruct()

short * bDNA::getStruct | ( | int | ind | ) |

Definition at line 62 of file bDNA.cpp.

## ◆ getType()

char * bDNA::getType | ( | int | ind | ) |

Definition at line 55 of file bDNA.cpp.

## ◆ init()

void bDNA::init | ( | char * | data,
|  | int | len,
|  | bool | swap = `false`
| ) |  |

Definition at line 345 of file bDNA.cpp.

## ◆ initCmpFlags()

void bDNA::initCmpFlags | ( | bDNA * | memDNA | ) |

Definition at line 164 of file bDNA.cpp.

## ◆ initRecurseCmpFlags()

void bDNA::initRecurseCmpFlags | ( | int | i | ) |
| private

Definition at line 131 of file bDNA.cpp.

## ◆ lessThan()

bool bDNA::lessThan | ( | bDNA * | other | ) |

Definition at line 42 of file bDNA.cpp.

## Member Data Documentation

## ◆ m_Names

btAlignedObjectArray<bNameInfo> bParse::bDNA::m_Names
| private

Definition at line 90 of file bDNA.h.

## ◆ mCMPFlags

btAlignedObjectArray<int> bParse::bDNA::mCMPFlags
| private

Definition at line 88 of file bDNA.h.

## ◆ mPtrLen

int bParse::bDNA::mPtrLen
| private

Definition at line 97 of file bDNA.h.

## ◆ mStructReverse

btHashMap<btHashInt, int> bParse::bDNA::mStructReverse
| private

Definition at line 94 of file bDNA.h.

## ◆ mStructs

btAlignedObjectArray<short *> bParse::bDNA::mStructs
| private

Definition at line 92 of file bDNA.h.

## ◆ mTlens

btAlignedObjectArray<short> bParse::bDNA::mTlens
| private

Definition at line 93 of file bDNA.h.

## ◆ mTypeLookup

btHashMap<btHashString, int> bParse::bDNA::mTypeLookup
| private

Definition at line 95 of file bDNA.h.

## ◆ mTypes

btAlignedObjectArray<char *> bParse::bDNA::mTypes
| private

Definition at line 91 of file bDNA.h.

The documentation for this class was generated from the following files:

- bDNA.h
- bDNA.cpp